Name:           unzix
Version:        0.4.0
Release:        1
Summary:        A WinZix archive extractor

Group:          Applications/Archiving
License:        BSD
URL:            http://banu.com/unzix/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

Source0:        http://banu.com/pub/unzix/0.3/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-aix.patch

BuildRequires:  zlib-devel, asciidoc >= 8.6.3-1

%description
Unzix is a small command-line program for extracting files from archives
in the WinZix format.


%prep
%setup -q
%patch0


%build
# to find the zlib library during linking
export ZLIB_LIBS="-L/opt/freeware/lib -lz"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS LICENSE NEWS README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1
/usr/bin/%{name}


%changelog
* Tue Jan 08 2013 Michael Perzl <michael@perzl.org> - 0.4.0-1
- updated to version 0.4.0

* Mon Jun 13 2011 Michael Perzl <michael@perzl.org> - 0.3.0-1
- first version for AIX V5.1 and higher
